gslspmatrix_lib = static_library('gslspmatrix',
	[
		'spcompress.c',
		'spcopy.c',
		'spgetset.c',
		'spio.c',
		'spmatrix.c',
		'spoper.c',
		'spprop.c',
		'spswap.c'
	],
	include_directories : '..'
)
gslspmatrix_dep = declare_dependency(link_with : gslspmatrix_lib)


gsl_tests += [ [ 'GSL Sparse Matrix Test', files('test.c') ] ]
